#student-directory-filters{
    display: block;
    margin-bottom: 2.5rem;
}
#student-directory-wrapper{
    margin-bottom: 6.25rem;
}
#student-directory{
    font-family: 'Graphik-Medium', sans-serif;
    display: block;
    margin: 0;
    padding: 0;
    list-style: none;
}
#student-directory li{
    display: flex;
    width: 100%;
}
#student-directory li.directory-row{
    border-top: 2px solid rgba(238, 238, 238, 0.15);
    line-height: 1.75rem;
}
#student-directory li.directory-row.hidden{
    display: none;
}
#student-directory li.directory-row.directory-row-department{
    font-size: 1.375rem;
    line-height: 1.75rem;
    color: rgba(255,98,66,1);
    /* padding: 1rem 1.25rem; */
    padding: 0 1.25rem;
    box-sizing: border-box;
}

#student-directory li.directory-row.directory-header{
    border-top-width: 0;
    text-align: left !important;
}
#student-directory li.directory-row-student{
    transition: background-color 100ms;
}
#student-directory li.directory-row div{
    font-size: 1.375rem;
    line-height: 1.75rem;
    padding-top: 1rem;
    padding-bottom: 1rem;
}
#student-directory li.directory-row div a{
    font-size: 1.375rem;
    line-height: 1.75rem;
}
#student-directory li.directory-row.directory-header div{
    opacity: 0.4;
}
#student-directory li.directory-row div a{
    text-decoration: none;
}
#student-directory li.directory-row div.row-student{
    padding-left: 1.25rem;
    padding-right: 1.875rem;
}
#student-directory li.directory-row div.row-student a{
    text-transform: capitalize;
}
#student-directory li.directory-row div.row-student{
    width: 25%;
    max-width: 25%;
}
#student-directory li.directory-row div.row-contact{
    line-height: 0;
    padding: 0 1.25rem 0 0;
    align-self: center;
    width: 19rem;
}
#student-directory li.directory-row div.row-contact a{
    margin-left: 1.5625rem;
}
#student-directory li.directory-row div.row-contact a:first-child{
    margin-left: 0;
}
#student-directory li.directory-row div.row-programme{
    flex: 1;
    padding-right: 1.875rem;
}

#student-directory-filters .taxonomy-group{
    display: flex;
}
#student-directory-filters .taxonomy-group .individual-taxonomy{
    position: relative;
    width: 50%;
    margin-bottom: 0.875rem;
    height: 3.125rem;
    z-index: 50;
}
#student-directory-filters .taxonomy-group .individual-taxonomy:nth-child(2n+1){
    padding-right: 0.4375rem;
    z-index: 51;
}
#student-directory-filters .taxonomy-group .individual-taxonomy:nth-child(2n){
    padding-left: 0.4375rem;
}
#student-directory-filters .taxonomy-group .individual-taxonomy label{
    position: relative;
    font-size: 1.375rem;
    line-height: 1.75rem;
    padding: 0.6875rem 4rem 0.6875rem 1.25rem;
    color: #000000;
    background-color: #7C5FFF;
    display: block;
    cursor: pointer;
}
#student-directory-filters .taxonomy-group .individual-taxonomy label span{
    font-family: 'Graphik-Medium', sans-serif;
}
#student-directory-filters .taxonomy-group .individual-taxonomy label .symbol{
    position: absolute;
    right: 1.25rem;
    top: 50%;
    margin-top: -0.75rem;
}
#student-directory-filters .taxonomy-group .individual-taxonomy select{
    display: none;
}
#student-directory-filters .taxonomy-group .individual-taxonomy .individual-taxonomy-dropdown-options{
    font-family: 'Graphik-Medium', sans-serif;
    position: absolute;
    top: 3.125rem;
    left: 0;
    width: 100%;
    padding-top: 2.5rem;
    font-size: 1.375rem;
    line-height: 1.75rem;
    /* max-height: 10.625rem; */
    max-height: 15.625rem;
    overflow-y: auto;
    padding-bottom: 1.25rem;
}
#student-directory-filters .taxonomy-group .individual-taxonomy .individual-taxonomy-dropdown-options > div:hover:after{
    background-image: url(../../img/symbols/right-s-black.svg);
    background-size: contain;
    background-repeat: no-repeat;
    display: inline-block;
    vertical-align: middle;
    margin-left: 0.375rem;
    content: '';
    width: 1.125rem;
    height: 1.125rem;
}
#student-directory-filters .taxonomy-group .individual-taxonomy .individual-taxonomy-dropdown-options::-webkit-scrollbar-track {
    -webkit-box-shadow: none !important;
    background-color: transparent;
}
#student-directory-filters .taxonomy-group .individual-taxonomy .individual-taxonomy-dropdown-options::-webkit-scrollbar {
    width: 6px !important;
    border-radius: 3px;
    background-color: transparent;
}
#student-directory-filters .taxonomy-group .individual-taxonomy .individual-taxonomy-dropdown-options::-webkit-scrollbar-thumb {
    background-color: rgba(0,0,0,0.4);
}
#student-directory-filters .taxonomy-group .individual-taxonomy .individual-taxonomy-dropdown{
    position: relative;
    height: 3.125rem;
    overflow: hidden;
    transition: height 300ms;
    background-color: #7C5FFF;
    border-radius: 1.5625rem;
}
#student-directory-filters .taxonomy-group .individual-taxonomy .individual-taxonomy-dropdown-options > div{
    padding: 0.4375rem 1.25rem;
    color: #000000;
    cursor: pointer;
}
#student-directory-filters .taxonomy-group .individual-taxonomy .individual-taxonomy-dropdown-options > div.hidden{
    display: none;
}
#student-directory-filters .taxonomy-group .individual-taxonomy.toggled label{
    /* border-bottom-left-radius: 0;
    border-bottom-right-radius: 0; */
}
#student-directory-filters .taxonomy-group .individual-taxonomy.toggled .individual-taxonomy-dropdown{
    height: 21.875rem;
}
#student-directory-filters .taxonomy-group .individual-taxonomy.toggled{
    z-index: 100;
}

@media (min-width: 900px){
    #student-directory li.directory-row-student:hover{
        border-top-color: transparent;
        border-radius: 1.875rem;
        background-color: rgba(238,238,238,0.15);
    }
    #student-directory li.directory-row-student:hover + li.directory-row-department,
    #student-directory li.directory-row-student:hover + li.directory-row-student{
        border-top-color: transparent;
    }
}

@media (max-width: 767px){
    #student-directory li.directory-row.directory-header{
        display: none;
    }
    #student-directory-filters .taxonomy-group{
        display: block;
    }
    #student-directory li.directory-row div{
        padding-top: 0;
        padding-bottom: 0;
    }
    #student-directory li.directory-row{
        border-top-width: 0;
        border-bottom: 2px solid rgba(238, 238, 238, 0.15);
    }

    #student-directory-filters .taxonomy-group .individual-taxonomy{
        width: 100%;
        margin: 0 0 0.875rem;
    }
    #student-directory-filters .taxonomy-group .individual-taxonomy:nth-child(2n+1),
    #student-directory-filters .taxonomy-group .individual-taxonomy:nth-child(2n){
        padding: 0;
    }
    #student-directory-filters{
        margin-bottom: 2.875rem;
    }
    #student-directory li.directory-row.directory-row-department{
        padding: 0.875rem 0;
        font-size: 1.125rem;
        line-height: 1.5rem;
    }
    #student-directory li{
        display: block;
        padding: 0.625rem 0 2.3125rem;
    }
    #student-directory li.directory-row div.row-student{
        width: 100%;
        text-align: left;
        max-width: initial;
    }
    #student-directory li.directory-row div.row-contact{
        width: auto;
        display: block;
    }
    #student-directory li.directory-row div.row-student{
        padding: 0;
    }
    #student-directory li.directory-row div{
        font-size: 1.125rem;
        line-height: 1.5rem;
    }
    #student-directory li.directory-row div a{
        font-size: 1.125rem;
        line-height: 1.5rem;
    }
    #student-directory li.directory-row div.row-programme{
        padding-top: 0.3125rem;
        padding-bottom: 0.875rem;
        opacity: 0.5;
    }
    #student-directory li.directory-row-student:hover{
        border-top-color: rgba(238, 238, 238, 0.15);
        border-radius: 0;;
        background-color: transparent;
    }
    #student-directory li.directory-row-student:hover + li.directory-row-student{
        border-top-color: rgba(238, 238, 238, 0.15);
    }
    #student-directory li.directory-row div.row-contact a{
        margin-right: 1.5625rem;
        margin-left: 0;
    }
    #student-directory-filters .taxonomy-group .individual-taxonomy{
        height: 2.625rem;
    }
    #student-directory-filters .taxonomy-group .individual-taxonomy label{
        font-size: 1.125rem;
        line-height: 1.5rem;
        padding: 0.5625rem 2.75rem 0.5625rem 0.875rem;
    }
    #student-directory-filters .taxonomy-group .individual-taxonomy .individual-taxonomy-dropdown{
        height: 2.625rem;
        border-radius: 1.3125rem;
    }
    #student-directory-filters .taxonomy-group .individual-taxonomy label .symbol{
        margin-top: -0.5rem;
    }
    #student-directory-filters .taxonomy-group .individual-taxonomy .individual-taxonomy-dropdown-options > div{
        font-size: 1.125rem;
        line-height: 1.5rem;
        padding: 0.5625rem 2.75rem 0.5625rem 0.875rem;
    }
}

@media (min-width: 768px) and (max-width: 900px){
    #student-directory-filters .taxonomy-group .individual-taxonomy label{
        font-size: 1.125rem;
        line-height: 1.5rem;
        padding-top: 0.8125rem;
        padding-bottom: 0.8125rem;
    }
    #student-directory-filters .taxonomy-group .individual-taxonomy .individual-taxonomy-dropdown-options{
        font-size: 1.125rem;
        line-height: 1.5rem;
    }
    #student-directory li.directory-row div,
    #student-directory li.directory-row div a{
        font-size: 1.125rem;
        line-height: 1.5rem;
    }
    #student-directory li.directory-row-student{
        padding-right: 50%;
        box-sizing: border-box;
        display: block;
    }
    #student-directory li.directory-row.directory-row-student{
        position: relative;
    }
    #student-directory li.directory-row div.row-student{
        padding-left: 0;
        width: 50%;
        max-width: initial;
    }
    #student-directory li.directory-row.directory-row-student div.row-student{
        width: 100%;
        max-width: initial;
        box-sizing: border-box;
        padding-bottom: 0;
    }
    #student-directory li.directory-row.directory-row-student div.row-programme{
        padding-top: 0.3125rem;
        opacity: 0.5;
    }
    #student-directory li.directory-row.directory-header div.row-programme{
        display: none;
    }
    #student-directory li.directory-row.directory-row-department{
        padding-left: 0;
        padding-right: 0;
    }
    #student-directory li.directory-row div.row-contact{
        width: 50%;
    }
    #student-directory li.directory-row.directory-row-student div.row-contact{
        position: absolute;
        top: 0.875rem;
        right: 0;
        padding: 0;
    }
}

@media (min-width: 901px) and (max-width: 1439px){
    #student-directory-filters .taxonomy-group .individual-taxonomy label{
        font-size: 1.125rem;
        line-height: 1.5rem;
        padding-top: 0.8125rem;
        padding-bottom: 0.8125rem;
        padding-right: 3.375rem;
    }
    #student-directory-filters .taxonomy-group .individual-taxonomy .individual-taxonomy-dropdown-options{
        font-size: 1.125rem;
        line-height: 1.5rem;
    }
    #student-directory li.directory-row div{
        font-size: 1.125rem;
        line-height: 1.5rem;
    }
    #student-directory li.directory-row div a{
        font-size: 1.125rem;
        line-height: 1.5rem;
    }
    #student-directory-filters{
        margin-bottom: 1.5rem;
    }
}
@media (max-width: 1439px){
    #student-directory-filters .taxonomy-group .individual-taxonomy .individual-taxonomy-dropdown-options{
        padding-top: 1.875rem;
    }
}
@media (max-width: 767px){
    #student-directory-filters .taxonomy-group .individual-taxonomy.toggled .individual-taxonomy-dropdown{
        height: 21.375rem;
    }
    #student-directory-filters .taxonomy-group .individual-taxonomy .individual-taxonomy-dropdown-options{
        top: 2.625rem;
    }
}
@media (max-width: 500px){
    #student-directory-filters .taxonomy-group .individual-taxonomy .individual-taxonomy-dropdown-options{
        padding-top: 1.5625rem;
    }
}